# Uses of Interface
org.globus.ftp.DataSink

Packages that use DataSink
Package
Description
org.globus.ftp
org.globus.ftp.dc
org.globus.ftp.extended
org.globus.ftp.vanilla

## Uses of DataSink in org.globus.ftp

Classes in org.globus.ftp that implement DataSink
Modifier and Type
Class
Description
`class`
`DataSinkStream`
Reference implementation of DataSink.
`class`
`FileRandomIO`
Thread safe reference implementation of DataSink and DataSource.
`class`
`InputStreamDataSink`
Methods in org.globus.ftp with parameters of type DataSink
Modifier and Type
Method
Description
`TransferState`
FTPClient.`asynchGet(String remoteFileName, DataSink sink, MarkerListener mListener)`
Retrieves the file from the remote server.
`TransferState`
FTPClient.`asynchGet2(String remoteFileName, boolean passive, DataSink sink, MarkerListener mListener)`
Retrieves a file asynchronously using the GFD.47 (a.k.a GridFTP2) GET command.
`void`
GridFTPClient.`extendedGet(String remoteFileName, long offset, long size, DataSink sink, MarkerListener mListener)`
Performs extended retrieve (partial retrieve mode).
`void`
GridFTPClient.`extendedGet(String remoteFileName, long size, DataSink sink, MarkerListener mListener)`
Performs extended retrieve (partial retrieve mode starting at offset 0).
`void`
FTPClient.`get(String remoteFileName, DataSink sink, MarkerListener mListener)`
Retrieves the file from the remote server.
`void`
FTPClient.`get2(String remoteFileName, boolean passive, DataSink sink, MarkerListener mListener)`
Retrieves a file using the GFD.47 (a.k.a GridFTP2) GET command.
`void`
FTPClient.`list(String filter, String modifier, DataSink sink)`
Performs directory listing and writes the result to the supplied data sink.
`void`
FTPClient.`mlsd(String path, DataSink sink)`
Performs remote directory listing on the given path.
`void`
FTPClient.`nlist(String path, DataSink sink)`
Performs remote directory listing on the given path.
`protected void`
FTPClient.`performTransfer(Command cmd, DataSink sink)`

## Uses of DataSink in org.globus.ftp.dc

Fields in org.globus.ftp.dc declared as DataSink
Modifier and Type
Field
Description
`protected DataSink`
ActiveConnectTask.`sink`
`protected DataSink`
PassiveConnectTask.`sink`
`protected DataSink`
TransferSinkThread.`sink`
Methods in org.globus.ftp.dc with parameters of type DataSink
Modifier and Type
Method
Description
`TransferThread`
GridFTPTransferThreadFactory.`getTransferSinkThread(DataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
`TransferThread`
SimpleTransferThreadFactory.`getTransferSinkThread(DataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
`TransferThread`
TransferThreadFactory.`getTransferSinkThread(DataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
`void`
TransferThreadManager.`passiveConnect(DataSink sink, TransferContext context, int connections, ServerSocket serverSocket)`
Accept connections from the remote server, and start transfer threads that will read incoming data and store in the sink.
`void`
DataChannel.`startTransfer(DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
`void`
SimpleDataChannel.`startTransfer(DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
`void`
TransferThreadManager.`startTransfer(DataSink sink, TransferContext context, int connections, boolean reusable)`
This should be used once the remote active server connected to us.
Constructors in org.globus.ftp.dc with parameters of type DataSink
Modifier
Constructor
Description
``
`ActiveConnectTask(HostPort hostPort, DataSink sink, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`
``
`ActiveStartTransferTask(DataSink sink, BasicServerControlChannel control, SocketBox box, Session session, DataChannelFactory factory, TransferContext context)`
``
`GridFTPPassiveConnectTask(ServerSocket myServer, DataSink sink, BasicServerControlChannel control, GridFTPSession session, DataChannelFactory factory, EBlockParallelTransferContext context)`
``
`GridFTPTransferSinkThread(AbstractDataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, EBlockParallelTransferContext context)`
``
`PassiveConnectTask(ServerSocket myServer, DataSink sink, BasicServerControlChannel control, Session session, DataChannelFactory factory, TransferContext context)`
``
`TransferSinkThread(AbstractDataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`

## Uses of DataSink in org.globus.ftp.extended

Methods in org.globus.ftp.extended with parameters of type DataSink
Modifier and Type
Method
Description
`void`
GridFTPServerFacade.`store(DataSink sink)`
Store the data from the data channel to the data sink.

## Uses of DataSink in org.globus.ftp.vanilla

Methods in org.globus.ftp.vanilla with parameters of type DataSink
Modifier and Type
Method
Description
`void`
FTPServerFacade.`store(DataSink sink)`
Asynchronous; return before completion.